​
Select Service
ves-io-schema-network_policy_set-API-Get
Published April 5, 2023 | Last modified October 15, 2026
Examples of getting network_policy_set
Usecase:
Get network-policy-set-1
Request using vesctl:
vesctl configuration get network_policy_set network-policy-set-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: network-policy-set-1 namespace: documentationreferringObjects: []resourceVersion: "2357"spec: policies: - kind: network_policy name: policy-1status: []systemMetadata: creationTimestamp: "2026-09-28T04:25:55.653086Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 4a92f2ab-debd-4d35-9b8f-eb58225213baRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/network_policy_sets/network-policy-set-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 945Content-Type: application/jsonDate: Mon, 28 Sep 2026 04:25:55 GMTVary: Accept-Encoding
{ "resource_version": "2357", "metadata": { "name": "network-policy-set-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "4a92f2ab-debd-4d35-9b8f-eb58225213ba", "creation_timestamp": "2026-09-28T04:25:55.653086Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "policies": [ { "kind": "network_policy", "uid": "", "tenant": "", "namespace": "", "name": "policy-1" } ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}